Home

# Class goog.ui.media.PicasaAlbumModel

The {@code goog.ui.media.PicasaAlbum} media data model. It stores a required {@code userId} and {@code albumId} fields, sets the picasa album URL, and allows a few optional parameters.

extends goog.ui.media.MediaModel

Instance Method Summary
| `getAlbumId() ⇒ string` Gets the Picasa album id.
| `getAuthKey() ⇒ ?string` Gets the Picasa album authentication key.
| `getUserId() ⇒ string` Gets the Picasa user id.

Static Method Summary
| `buildUrl(string userId, string albumId) ⇒ string` The opposite of {@code newInstance}: takes an {@code userId} and an {@code albumId} and builds a URL.
| `newInstance(string picasaUrl, string= opt_caption, string= opt_description, boolean= opt_autoplay) ⇒ ?goog.ui.media.PicasaAlbumModel` Gets a {@code picasaUrl} and extracts the user and album id.